:root {
  --yellow: hsl(47, 88%, 63%);
  --white: hsl(0, 0%, 100%);
  --gray-500: hsl(0, 0%, 42%);
  --gray-950: hsl(0, 0%, 7%);

  --font-figtree: 'Figtree';
  --font-size: 14px;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: var(--font-figtree);
  font-size: var(--font-size);
}

body {
  background-color: var(--yellow);
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

main {
  background-color: var(--white);
  border: 2px solid var(--gray-950);
  box-shadow: 6px 6px var(--gray-950);
  border-radius: 12px;
  width: min(90%, 350px);
  min-width: 200px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 1rem;
}

article {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1.2rem;
  width: 100%;
  padding: 1.5rem;
}

header {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 1rem;
  width: 100%;
}

header img {
  border-radius: 12px;
  width: 100%;
}

header p {
  font-size: 1.1rem;
  font-weight: 800;
  background-color: var(--yellow);
  padding: 4px 12px;
  border-radius: 12px;
  text-align: center;
  width: fit-content;
}

header time {
  font-size: 0.9rem;
}

section {
  display: flex;
  flex-direction: column;
  gap: 0.75rem;
}

section h2 {
  font-size: 1.3rem;
  font-weight: 700;
}

section p {
  color: var(--gray-500);
  font-weight: 300;
  line-height: 1.6;
  font-size: 1.1rem;
}

#footer-article {
  display: flex;
  align-items: center;
  align-self: flex-start;
  gap: 0.75rem;
  margin-top: 1rem;
}

#footer-article img {
  width: 48px;
  height: 48px;
  border-radius: 50%;
}

#footer-article p {
  font-weight: 800;
  font-size: 0.95rem;
}

#footer {
  text-align: center;
  font-size: 0.85rem;
  color: var(--gray-500);
}

@media (max-width: 375px) {
  main {
    margin-bottom: 3rem;
  }

  header p {
    font-size: 1rem;
    width: 60%;
  }

  section h2 {
    font-size: 1.1rem;
  }

  section p {
    font-size: 0.85rem;
  }

  #footer-article img {
    width: 36px;
    height: 36px;
  }

  #footer-article p {
    font-size: 0.85rem;
  }
}
